summaryrefslogtreecommitdiff
path: root/builder.sh
diff options
context:
space:
mode:
authortoufic ar <contact@toufy.me>2026-04-16 10:15:03 +0300
committertoufic ar <contact@toufy.me>2026-04-16 10:15:03 +0300
commitd9478c8f0c16d7ce4678a4675b721f9ed36a3f5e (patch)
treed08577d73fe8679f6db6a03ae9c35aadfc42098a /builder.sh
parentb886a6d94d45a1f6a19d8c110855cd5e393a2454 (diff)
downloadtaur-d9478c8f0c16d7ce4678a4675b721f9ed36a3f5e.tar.gz
taur-d9478c8f0c16d7ce4678a4675b721f9ed36a3f5e.zip
add jenkins pipeline
Diffstat (limited to 'builder.sh')
-rwxr-xr-xbuilder.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/builder.sh b/builder.sh
new file mode 100755
index 0000000..23de1be
--- /dev/null
+++ b/builder.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+set -e
+source ./env.sh
+
+mkdir -p $SSHHOME $GNUPGHOME
+chmod -R 755 $SSHHOME
+chmod -R 700 $GNUPGHOME
+
+cp "$SSHPRIVKEY" $SSHHOME
+chmod 600 $SSHHOME/id_ed25519
+echo $TARGET | xargs ssh-keyscan >$SSHHOME/known_hosts
+
+echo "allow-loopback-pinentry" >>$GNUPGHOME/gpg-agent.conf
+gpg-connect-agent reloadagent /bye
+gpg --batch --yes --pinentry-mode loopback --passphrase-file "$GPGPASSWD" --import "$GPGKEY"